Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XServiceEventPerformer

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XServiceEventPerformer

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XServiceEventPerformer

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XService Event Performer', and utility methods for working with them. abstDomain: V19606 (C-0-D10901-V19606-cpt)

See Also:
  `CDAR2Package.getXServiceEventPerformer()`

Field Summary
`static int` | `PPRF` The 'PPRF' literal value.
`static XServiceEventPerformer` | `PPRF_LITERAL` The 'PPRF' literal object.
`static int` | `PRF` The 'PRF' literal value.
`static XServiceEventPerformer` | `PRF_LITERAL` The 'PRF' literal object.
`static int` | `SPRF` The 'SPRF' literal value.
`static XServiceEventPerformer` | `SPRF_LITERAL` The 'SPRF' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XService Event Performer' enumerators.

Method Summary
`static XServiceEventPerformer` | `get(int value)` Returns the 'XService Event Performer' literal with the specified integer value.
`static XServiceEventPerformer` | `get(java.lang.String literal)` Returns the 'XService Event Performer' literal with the specified literal value.
`static XServiceEventPerformer` | `getByName(java.lang.String name)` Returns the 'XService Event Performer' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRF

    public static final int PRF

  The 'PRF' literal value.

  If the meaning of 'PRF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRF_LITERAL`, Constant Field Values

### PPRF

    public static final int PPRF

  The 'PPRF' literal value.

  If the meaning of 'PPRF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PPRF_LITERAL`, Constant Field Values

### SPRF

    public static final int SPRF

  The 'SPRF' literal value.

  If the meaning of 'SPRF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPRF_LITERAL`, Constant Field Values

### PRF_LITERAL

    public static final XServiceEventPerformer PRF_LITERAL

  The 'PRF' literal object.

  See Also:
    `PRF`

### PPRF_LITERAL

    public static final XServiceEventPerformer PPRF_LITERAL

  The 'PPRF' literal object.

  See Also:
    `PPRF`

### SPRF_LITERAL

    public static final XServiceEventPerformer SPRF_LITERAL

  The 'SPRF' literal object.

  See Also:
    `SPRF`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XService Event Performer' enumerators.

Method Detail

### get

    public static XServiceEventPerformer get(java.lang.String literal)

  Returns the 'XService Event Performer' literal with the specified literal value.

### getByName

    public static XServiceEventPerformer getByName(java.lang.String name)

  Returns the 'XService Event Performer' literal with the specified name.

### get

    public static XServiceEventPerformer get(int value)

  Returns the 'XService Event Performer' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD